/*
 * Copyright 2010,2015 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 24/11/2016
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-dev@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrycommon.managers;

import eu.europa.ec.re3gistrycommon.utils.Report;
import java.util.ArrayList;
import java.util.List;

public class ReportMgr {

    private final ArrayList<Report> reports;
    private String mailSubject;
    private String mailBody;
    private String status;

    public ReportMgr() {
        reports = new ArrayList<Report>();
    }

    public void addReport(String itemclass, String action, String message, String type, int line) {
        reports.add(new Report(itemclass, action, message, type, line));
    }

    public List<Report> getReports() {
        return reports;
    }

    public void printReports() {
        for (Report temp : reports) {
            System.out.println("# " + temp.getContext() + " - " + temp.getAction() + " - " + temp.getMessage() + " - " + temp.getLine());
        }
    }

    public String reportsText() {
        String text = "\r\n";
        for (Report temp : reports) {
            text += "# " + temp.getContext() + " - " + temp.getAction() + " - " + temp.getMessage() + " - " + temp.getLine() + "\r\n";
        }
        return text;
    }

    public int size() {
        return reports.size();
    }

    public String getMailSubject() {
        return mailSubject;
    }

    public void setMailSubject(String mailSubject) {
        this.mailSubject = mailSubject;
    }

    public String getMailBody() {
        return mailBody;
    }

    public void setMailBody(String mailBody) {
        this.mailBody = mailBody;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
