/*
 * Copyright 2010,2015 EUROPEAN UNION
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * Date: 24/11/2016
 * Authors: European Commission, Joint Research Centre
 * Daniele Francioli, Emanuela Epure
 * inspire-registry-dev@jrc.ec.europa.eu
 *
 * This work was supported by the EU  Interoperability Solutions for
 * European Public Administrations Programme (http://ec.europa.eu/isa)
 * through Action 1.17: Re-usable INSPIRE Reference Platform 
 */
package eu.europa.ec.re3gistrydata.beans;

import eu.europa.ec.re3gistrydata.constants.Constants;
import java.util.ArrayList;

public class Clarification {

    private String localId;
    private String parentLocalId;
    private String collectionLocalId;
    private String language;
    private String label;
    private String definition;
    private String description;
    private String comment;
    private ArrayList<CustomattributeDescriptor> customAttribures;
    private String itemClass;

    public Clarification() {
        customAttribures = new ArrayList<CustomattributeDescriptor>();
    }

    public Clarification(String LocalId, String ParentLocalId, String CollectionLocalId, String Language, String Label, String Definition, String Description, String Comment, ArrayList<CustomattributeDescriptor> customAttribures, String itemClass) {
        this.localId = LocalId;
        this.parentLocalId = ParentLocalId;
        this.collectionLocalId = CollectionLocalId;
        this.language = Language;
        this.label = Label;
        this.definition = Definition;
        this.description = Description;
        this.comment = Comment;
        this.customAttribures = customAttribures;
        this.itemClass = itemClass;
    }

    public String getLocalId() {
        return localId;
    }

    public void setLocalId(String LocalId) {
        this.localId = LocalId;
    }

    public String getParentLocalId() {
        return parentLocalId;
    }

    public void setParentLocalId(String ParentLocalId) {
        this.parentLocalId = ParentLocalId;
    }

    public String getCollectionLocalId() {
        return collectionLocalId;
    }

    public void setCollectionLocalId(String CollectionLocalId) {
        this.collectionLocalId = CollectionLocalId;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String Language) {
        this.language = Language;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String Label) {
        this.label = Label;
    }

    public String getDefinition() {
        return definition;
    }

    public void setDefinition(String Definition) {
        this.definition = Definition;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String Description) {
        this.description = Description;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String Comment) {
        this.comment = Comment;
    }

    public ArrayList<CustomattributeDescriptor> getCustomAttribures() {
        return customAttribures;
    }

    public void setCustomAttribures(ArrayList<CustomattributeDescriptor> customAttribures) {
        this.customAttribures = customAttribures;
    }

    public void addCustomAttribute(CustomattributeDescriptor customattribute) {
        this.customAttribures.add(customattribute);
    }

    public String getItemClass() {
        return itemClass;
    }

    public void setItemClass(String itemClass) {
        this.itemClass = itemClass;
    }

    public static String getClarificationHashKey(String localId, String collectionLocalId, String itemClass, String language) {
        return localId + Constants.HASHMAP_KEY_SEPARATOR + collectionLocalId + Constants.HASHMAP_KEY_SEPARATOR + itemClass + Constants.HASHMAP_KEY_SEPARATOR + language;
    }

}
