<?
	/**** Application configuration file ****/
	
	/* Application main configs */
	
	/* Webapp paths */
	define('APPLICATION_ROOT','_WEBAPP_ROOT_PATH_');	//The root path of the webapp. (Example: /var/www/registry/webapp/ or C:/wwwroot/registry/webapp/)
	
	/* Webapp URLs */
	define('REGISTRY_BASE_URL','http://localhost/registry/');	// The root URL of the registry service. (Example: http://localhost/registry/)
	define('APPLICATION_ROOT_URL','http://localhost/webapp/');	// The root URL of the application. (Example: http://localhost/webapp/)
	define('CDN_URL','http://localhost/registry/res/');			// The root URL of the CDN containing the UI resources (css, js, fonts, images). It could be an external CDN or on the same server (like in this example). (Example: http://localhost/registry/res/)
	define('DATASET_ROOT_URL','http://localhost/data');			// The root URL of the data files (files produced by the Re3gistry software). (Example: http://localhost/data)
	
	/* Searching system configs */
	define('SEARCH_AUTOCOMPLETE_URL','_SEARCHAUTOCOMPLETEURL_'); 	// The Apache Solr endpoint for the autocomplete system (could be the same of the cose searching). (Example: http://localhost/solr-4.8.0/registry/select)
	define('SEARCH_CORE_URL','_SEARCHAUTOCOMPLETEURL_'); 			// The Apache Solr endpoint for the core searching system. (Example: http://localhost/solr-4.8.0/registry/select)
	// The searching system needs an instance of Apache Solr
	
	/* Locale configs */
	define('DEFAULT_LOCALE', 'en');	// Main language
	define('ALLOWED_LOCALES', 'bg-cs-da-de-et-el-en-es-fr-hr-it-lv-lt-hu-mt-nl-pl-pt-ro-sk-sl-fi-sv');	// List of locales supported by the webapp
	define('LOCALE_LABELS','{"locales":[{"bg":"български (bg)"},{"cs":"čeština (cs)"},{"da":"dansk (da)"},{"de":"Deutsch (de)"},{"et":"eesti keel (et)"},{"el":"ελληνικά (el)"},{"en":"English (en)"},{"es":"español (es)"},{"fr":"français (fr)"},{"hr":"hrvatski (hr)"},{"it":"italiano (it)"},{"lv":"latviešu valoda (lv)"},{"lt":"lietuvių kalba (lt)"},{"hu":"magyar (hu)"},{"mt":"Malti (mt)"},{"nl":"Nederlands (nl)"},{"pl":"polski (pl)"},{"pt":"português (pt)"},{"ro":"română (ro)"},{"sk":"slovenčina (sk)"},{"sl":"slovenščina (sl)"},{"fi":"suomi (fi)"},{"sv":"svenska (sv)"}]}');
	// Locale codes and labels
	
	/* Application properties */
	define('SEARCH_MAX_ITEM_PER_PAGE',10);	// Max items per page in the search result
	define('SEARCH_PAGE_MAX_ADJACENT',2);	// Max number of pages in the paginator (pages numbers that are close to each other)
	define('TEXT_BIG_LIMIT',600);			// Char limit to truncate a preview text
	define('OPTIMIZE_OUTPUT',0);			// If enable, it compress the HTML output
	define('REVERSE_PROXY_MODE',0);			// Enable if the application is behind a reverse proxy
	
	/* Analytics configs */
	define('ANALYTICS_ENABLED',0);	// It determines if the analytics system is enabels
	define('ANALYTICS_URL','');		// The Piwik instance root url (Example: //www.example.eu/piwik/)
	define('ANALYTICS_ID',1);		// The ID of the analytics account 
	// An instance of the Piwik analytics system is needed for the analytic system
	
	/* File Formats descriptor */
	define('FORMAT_AVAILABLE','{"formats":[{"name":"XML","title":"Re3gistry","extension":"xml","beta":"false","color":"","mime":"application/xml"},{"name":"XML","title":"ISO 19135","extension":"iso19135xml","beta":"true","color":"","mime":"application/x-iso19135+xml"},{"name":"RDF/XML","title":"","extension":"rdf","beta":"true","color":"#00f","mime":"application/rdf+xml"},{"name":"JSON","title":"","extension":"json","beta":"false","color":"#777","mime":"application/json"},{"name":"Atom","title":"","extension":"atom","beta":"false","color":"#fa0","mime":"application/atom+xml"},{"name":"CSV","title":"","extension":"csv","beta":"true","color":"#7AB728","mime":"text/csv"}]}');
	// This json string describes the different data formats that the webapp is going to provide
	
	/* Fallback error properties (in case the ui translation is not available)*/
	define('FALLBACK_ERROR_MESSAGES','{"error-generic-title":"There is a problem in the application","error-generic-message":"<p>The application encountered an error and was unable to complete your request. The system administrator has been informed about this error.</p><p>You may report a feedback about this problem using the <a href=\"#\">feedback tool</a>.</p><p>&nbsp;</p><p>Go back to the <a href=\"#\">Home page</a>.</p>"}');
	define('FALLBACK_ERROR_BREADCRUMB_LABEL','YOUR_TITLE');

	/* Error email report config */
	/* -- Use this for debug purpose only -- */
	define('ERROR_REPORT_MAILS','your-mail@example.eu'); // In case of empty property the mail report is deactivated
	define('ERROR_REPORT_SUBJECT','Registry webapp - error report');
	define('ERROR_REPORT_BODY','The webapp had a generic error.\r\nBelow you can find the url of the page that generates the error.\r\n');
	// If enabled, this feature sends an email on application error to the specified recipient 
	
	/*** Service custom configs ***/

	// Web properties
	define('HEAD_PREFIX','og: http://ogp.me/ns#');
	define('META_CHARSET', 'utf-8');
	define('META_AUTHOR', '_YOUR_AUTOR');
	define('META_XUACOMPATIBLE','IE=edge');
	define('META_VIEWPORT','width=device-width, initial-scale=1');
	define('META_MSTHEMECOLOR','#2b5797');
	define('META_THEMECOLOR','#003399');	
	define('EXTERNAL_HIGLIGHT',1); 							// Highlight the external values in the web UI
	define('EXTERNAL_HIGLIGHT_CHECK','http://localhost'); 	// External item URI check
	
	// Service links
	define('LINK_CONTACT','mailto:');		// URL for the "contact" link in the UI
	define('LINK_LEGAL','http://ec.europa.eu/geninfo/legal_notices___lng__.htm');	// URL for the "legal notice" link in the UI - __lng__ pattern is replaced with the UI selected languagecode
	define('LINK_PRIVACY','http://inspire.ec.europa.eu/privacy-policy/59294');		// URL for the "privacy" link in the UI
	define('BREADCRUMB_BASE_LINK_1','');	// Define the URL of the (optional) first element in the breadcrumb (Hidden if empty)
	define('BREADCRUMB_BASE_LINK_2','');	// Define the URL of the (optional) second element in the breadcrumb (Hidden if empty)
	define('LINK_SOCIAL_TW','');			// Link to twitter (optional - hidden if blank)
	define('LINK_SOCIAL_FB','');			// Link to facebook (optional - hidden if blank)
	define('LINK_SOCIAL_LI','');			// Link to Linkedin (optional - hidden if blank)
	define('FEEDBACKTOOL_BASE_URL',''); 	// Link for the feedback (it could be a mailto link o a web link)

	//Service heading messages - An informative message that will appear at the top of the page
	define('HEADING_MESSAGE_TEXT','');
	define('HEADING_MESSAGE_TYPE',''); // warning | alert
	
	// Additional message under the mail title in all of the pages
	define('ADDITIONAL_IN_PAGE_MESSAGE','');
		
	//Service custom properties
	define('RE3GISTRY_VERSION','Re3gistry 1.3');	// Text to the right of the footer
	
	
	
	/* -- Do not change --------------------------------------------------------- */
	define('APPLICATION_DATASET_PATH','app_data/');
	define('LOG_CONFIG_PATH','app_data/logger.xml');
	define('UI_LOCALE_FOLDER', APPLICATION_ROOT.'app_data/localization/');
	define('REGISTRY_SEARCH_BASE_URL',REGISTRY_BASE_URL.'search');
	define('LINK_ABOUT',REGISTRY_BASE_URL.'about');
	define('HELP_URL',REGISTRY_BASE_URL.'help');
	
?>