<?php
class Localization{
	
	private $locale=null;
	
	function __construct($request){
		
if(isset($request['lang'])){
			$_SESSION['locale'] = $this->localeIsAllowed(htmlspecialchars($request['lang'], ENT_QUOTES, 'UTF-8')) ? htmlspecialchars($request['lang'], ENT_QUOTES, 'UTF-8') : DEFAULT_LOCALE;
			$this->locale=$_SESSION['locale'];
		}elseif(!isset($_SESSION['locale'])){
			$_SESSION['locale']=$this->getLocale();
			$this->locale=$_SESSION['locale'];
		}else{
			$this->locale=$_SESSION['locale'];
		}
	}
	
	/* Private functions */
	private function getLocale(){
		$loc=$this->getClientLocale();
		return $this->localeIsAllowed($loc) ? $loc : DEFAULT_LOCALE;
	}
	private function localeIsAllowed($lo){
		$temp=explode("-", ALLOWED_LOCALES);
		return in_array($lo, $temp);
	}
	private function getClientLocale(){
		if(isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])){
			$tmp = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
		}else{
			$tmp = '';
		}
		return substr(htmlspecialchars($tmp, ENT_QUOTES, 'UTF-8'),0,2);
	}
	
	/* Public functions */
	public function getCurrentLocale(){
		return $this->locale;
	}
	public function switchLocale($request){
		if(isset($request) && $this->localeIsAllowed($request['lang'])){
			$_SESSION['locale'] = $this->localeIsAllowed(htmlspecialchars($request['lang'], ENT_QUOTES, 'UTF-8')) ? htmlspecialchars($request['lang'], ENT_QUOTES, 'UTF-8') : DEFAULT_LOCALE;
			$_SESSION['custom-locale'] = 'true';
			return true;
		}else{
			return false;
		}		
	}
}
